Package ghidra.app.util.viewer.field

# Class RegisterTransitionFieldFactory

java.lang.Object
ghidra.app.util.viewer.field.FieldFactory
ghidra.app.util.viewer.field.RegisterTransitionFieldFactory

All Implemented Interfaces:
  `ExtensionPoint`

public class RegisterTransitionFieldFactory extends FieldFactory

- ## Field Summary

  ### Fields inherited from class ghidra.app.util.viewer.field.FieldFactory

  `BASE_LISTING_FONT_ID, baseFont, colorOptionName, enabled, FONT_OPTION_NAME, hlProvider, model, name, startX, style, styleOptionName, width`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegisterTransitionFieldFactory()`
  Default constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `acceptsType(int category, Class<?> proxyObjectClass)`
  Used to specify which format models this field can belong to.
  `void`
  `fieldOptionsChanged(Options options, String optionName, Object oldValue, Object newValue)`
  Notifications that the field options changed.
  `ListingField`
  `getField(ProxyObj<?> proxy, int varWidth)`
  Returns the FactoryField for the given object at index index.
  `FieldLocation`
  `getFieldLocation(ListingField bf, BigInteger index, int fieldNum, ProgramLocation programLoc)`
  Return a FieldLocation that corresponds to the given index, fieldNum, and ProgramLocation IF and ONLY IF the given programLocation is the type generated by this class's `FieldFactory.getFieldLocation(ListingField, BigInteger, int, ProgramLocation)`.
  `ProgramLocation`
  `getProgramLocation(int row, int col, ListingField bf)`
  Returns the Program location for the given object, row, col, and groupPath
  `FieldFactory`
  `newInstance(FieldFormatModel fieldFormatModel, ListingHighlightProvider hsProvider, ToolOptions displayOptions, ToolOptions fieldOptions)`
  Returns a new instance of this FieldFactory that can be used to generate fields instead of being used as a prototype.

  ### Methods inherited from class ghidra.app.util.viewer.field.FieldFactory

  `displayOptionsChanged, getFieldModel, getFieldName, getFieldText, getMetrics, getMetrics, getStartX, getWidth, hasSamePath, initDisplayOptions, initFieldOptions, isEnabled, servicesChanged, setEnabled, setStartX, setWidth, simplifyTemplates, supportsLocation`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RegisterTransitionFieldFactory

    public RegisterTransitionFieldFactory()
    Default constructor.

- ## Method Details

  - ### fieldOptionsChanged

    public void fieldOptionsChanged(Options options, String optionName, Object oldValue, Object newValue)
    Description copied from class: `FieldFactory`
    Notifications that the field options changed.
    Overrides:
      `fieldOptionsChanged` in class `FieldFactory`
    Parameters:
      `options` - the Field Options object that changed.
      `optionName` - the name of the property that changed.
      `oldValue` - the old value of the property.
      `newValue` - the new value of the property.

  - ### getField

    public ListingField getField(ProxyObj<?> proxy, int varWidth)
    Returns the FactoryField for the given object at index index.
    Specified by:
      `getField` in class `FieldFactory`
    Parameters:
      `proxy` - the object whose properties should be displayed.
      `varWidth` - the amount of variable width spacing for any fields before this one.
    Returns:
      the newly generated FactoryField that shows some property or information about the given object.

  - ### getProgramLocation

    public ProgramLocation getProgramLocation(int row, int col, ListingField bf)
    Description copied from class: `FieldFactory`
    Returns the Program location for the given object, row, col, and groupPath
    Specified by:
      `getProgramLocation` in class `FieldFactory`
    Parameters:
      `row` - the row within this field
      `col` - the col on the given row within this field.
      `bf` - the ListingField containing the cursor.
    Returns:
      the location.

  - ### getFieldLocation

    public FieldLocation getFieldLocation(ListingField bf, BigInteger index, int fieldNum, ProgramLocation programLoc)
    Description copied from class: `FieldFactory`
    Return a FieldLocation that corresponds to the given index, fieldNum, and ProgramLocation IF and ONLY IF the given programLocation is the type generated by this class's `FieldFactory.getFieldLocation(ListingField, BigInteger, int, ProgramLocation)`. Each FieldFactory should generate and process a unique ProgramLocation class.
    Specified by:
      `getFieldLocation` in class `FieldFactory`
    Parameters:
      `bf` - the ListingField at the current cursor.
      `index` - the line index (corresponds to an address)
      `fieldNum` - the index of field within the layout to try and get a FieldLocation.
      `programLoc` - the ProgramLocation to be converted into a FieldLocation.
    Returns:
      the location.

  - ### acceptsType

    public boolean acceptsType(int category, Class<?> proxyObjectClass)
    Description copied from class: `FieldFactory`
    Used to specify which format models this field can belong to.
    Specified by:
      `acceptsType` in class `FieldFactory`
    Parameters:
      `category` - the category for this field
      `proxyObjectClass` - the type of proxy object used by this field
    Returns:
      true if this class accepts the given category.

  - ### newInstance

    public FieldFactory newInstance(FieldFormatModel fieldFormatModel, ListingHighlightProvider hsProvider, ToolOptions displayOptions, ToolOptions fieldOptions)
    Description copied from class: `FieldFactory`
    Returns a new instance of this FieldFactory that can be used to generate fields instead of being used as a prototype.
    Specified by:
      `newInstance` in class `FieldFactory`
    Parameters:
      `fieldFormatModel` - the model that the field belongs to.
      `hsProvider` - the HightLightProvider.
      `displayOptions` - the Options for display properties.
      `fieldOptions` - the Options for field specific properties.
    Returns:
      the factory